org.apache.lucene.index

## Class CheckIndex.Status.TermIndexStatus

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status.TermIndexStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.TermIndexStatus
    extends Object

Status from testing term index.

### Field Summary

Fields
`Map<String,BlockTreeTermsReader.Stats>` `blockTreeStats` Holds details of block allocations in the block tree terms dictionary (this is only set if the `PostingsFormat` for this segment uses block tree.
`long` `delTermCount` Number of terms with zero live docs docs.
`Throwable` `error` Exception thrown during term index test (null on success)
`long` `termCount` Number of terms with at least one live doc.
`long` `totFreq` Total frequency across all terms.
`long` `totPos` Total number of positions.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### termCount

    public long termCount

Number of terms with at least one live doc.

#### delTermCount

    public long delTermCount

Number of terms with zero live docs docs.

#### totFreq

    public long totFreq

Total frequency across all terms.

#### totPos

    public long totPos

Total number of positions.

#### error

    public Throwable error

Exception thrown during term index test (null on success)

#### blockTreeStats

    public Map<String,BlockTreeTermsReader.Stats> blockTreeStats

Holds details of block allocations in the block tree terms dictionary (this is only set if the `PostingsFormat` for this segment uses block tree.